import java.io.*;

/**
 * ElevenDollar acts as a client to a networked banking system.
 * When run, creates an Account and runs an interactive menu until
 * the user is finished.
 * Must be executed on sunpal to communicate to the server correctly.
 */

public class ElevenDollar {

  /**Prints possible user selections*/
  public static void printMenu() {
    System.out.println("Welcome to the 11-dollar banking system");
    System.out.println("A)Retrieve personal information");
    System.out.println("B)Update your personal information");
    System.out.println("C)Check your balance");
    System.out.println("D)Transfer money to another account");
    System.out.println("E)Check your transaction history");
    System.out.println("X)Exit");
  }

  /**Handles all forms of retrieving Account information and printing it
     to the user*/
  public static void handleGetInformation(Account myAccount) {
    
  }

  /**Handles the menu choice of updating the Person stored in the Account.*/
  public static void handleUpdateInformation(Account myAccount) {
    
  }

  public static void main(String args[]) throws IOException {
      
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

    Account myAccount = new Account();
    myAccount.getInformation();

    String inputs;
    char inputc;
    do {
      printMenu();
      inputs = in.readline();
      if(inputs==null) break;
      if(inputs.equals("")) continue;
      inputc = inputs.charAt(0);
      switch (inputc) {
      case 'A':
      case 'a':
        handleGetInformation(myAccount);
        break;
      case 'B':
      case 'b':
        handleUpdateInformation(myAccount);
        break;
      case 'C':
      case 'c':

        break;
      case 'D':
      case 'd':

        break;
      case 'E':
      case 'e':

        break;
      }
    } while ((inputc != 'X') && (inputc != 'x'));
  }
}
